Bug 159982 - [MAINTAINER] mail/rubygem-vmail: update to 2.3.2
Summary: [MAINTAINER] mail/rubygem-vmail: update to 2.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-22 02:10 UTC by Hsin-Han You
Modified: 2013-06-01 23:30 UTC (History)
0 users

See Also:


Attachments
rubygem-vmail-2.3.2.patch (1.71 KB, patch)
2011-08-22 02:10 UTC, Hsin-Han You
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hsin-Han You 2011-08-22 02:10:06 UTC
- Update to 2.3.2

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-08-22 02:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2011-10-02 19:01:39 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 3 Steve Wills freebsd_committer 2011-12-18 15:09:11 UTC
Since this version of vmail doesn't work with Ruby 1.8 and Ruby 1.8 is
still the default version of Ruby, I think we should either create a new
port for the new version or hold off on updating until Ruby 1.9 is the
default version of Ruby.

Steve
Comment 4 Steve Wills freebsd_committer 2011-12-18 15:18:04 UTC
State Changed
From-To: open->analyzed

Mark this analyzed, see latest comments about Ruby versions
Comment 5 Steve Wills freebsd_committer 2013-06-01 23:27:40 UTC
State Changed
From-To: analyzed->closed

Finally committed, I went ahead and updated to the latest version. 
Thanks for your patience, let me know if you have any trouble.
Comment 6 dfilter service freebsd_committer 2013-06-01 23:28:19 UTC
Author: swills
Date: Sat Jun  1 22:28:07 2013
New Revision: 319611
URL: http://svnweb.freebsd.org/changeset/ports/319611

Log:
  - Update to 2.8.4
  
  PR:		ports/159982 (older version)
  Submitted by:	Hsin-Han You <hhyou@cs.nctu.edu.tw>

Modified:
  head/mail/rubygem-vmail/Makefile   (contents, props changed)
  head/mail/rubygem-vmail/distinfo   (contents, props changed)

Modified: head/mail/rubygem-vmail/Makefile
==============================================================================
--- head/mail/rubygem-vmail/Makefile	Sat Jun  1 22:24:40 2013	(r319610)
+++ head/mail/rubygem-vmail/Makefile	Sat Jun  1 22:28:07 2013	(r319611)
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	Ruby-vmail
-# Date created:		2010 12-15
-# Whom:			Hsin-Han You <hhyou@cs.nctu.edu.tw>
-#
+# Created by: Hsin-Han You <hhyou@cs.nctu.edu.tw>
 # $FreeBSD$
 
 PORTNAME=	vmail
-PORTVERSION=	1.5.0
+PORTVERSION=	2.8.4
 CATEGORIES=	mail rubygems
 MASTER_SITES=	RG
 
@@ -13,7 +10,11 @@ MAINTAINER=	hhyou@cs.nctu.edu.tw
 COMMENT=	A Vim interface to Gmail
 
 RUN_DEPENDS=	rubygem-mail>=2.2.12:${PORTSDIR}/mail/rubygem-mail \
-		rubygem-highline>=1.6.1:${PORTSDIR}/devel/rubygem-highline
+		rubygem-highline>=1.6.1:${PORTSDIR}/devel/rubygem-highline \
+		rubygem-sequel>=3.24.1:${PORTSDIR}/devel/rubygem-sequel \
+		rubygem-sqlite3>=1.3.3:${PORTSDIR}/databases/rubygem-sqlite3 \
+		rubygem-versionomy>=0.4.4:${PORTSDIR}/devel/rubygem-versionomy \
+		${LOCALBASE}/bin/vim:${PORTSDIR}/editors/vim-lite
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes

Modified: head/mail/rubygem-vmail/distinfo
==============================================================================
--- head/mail/rubygem-vmail/distinfo	Sat Jun  1 22:24:40 2013	(r319610)
+++ head/mail/rubygem-vmail/distinfo	Sat Jun  1 22:28:07 2013	(r319611)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/vmail-1.5.0.gem) = d85ed222b5eea992d1d614a5fa705e1fd01cf1814dc5e925b661dd685af10b5b
-SIZE (rubygem/vmail-1.5.0.gem) = 900096
+SHA256 (rubygem/vmail-2.8.4.gem) = b68d44905c71d35c424c1a9de6c780a722ed8fe6607646ac4f0e00a136e9fbd1
+SIZE (rubygem/vmail-2.8.4.gem) = 76288
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"